uniform sampler2D texture;

void main( void )
{
	if(gl_TexCoord[0].s < 0 || gl_TexCoord[0].t < 0
		|| gl_TexCoord[0].s > 1 || gl_TexCoord[0].t > 1)
		discard;

	vec4 texel = texture2D( texture, gl_TexCoord[0].st );
	gl_FragColor = texel * gl_Color;
}